freeDBTagger - バージョンアップ履歴

ver1.0.4[08/03/25]
ID3v2をUTF-16で書き込む際にLEのBOMを付加していないために一部のプレーヤーで正しく認識されない不具合を修正。
アートワークの保存ダイアログでデフォルト拡張子を.jpgにした。
ショートカットキー設定をデフォルトに戻せる機能を追加。
その他細々と変更。

ver1.0.3[08/03/06]
タグのエンコードでUTF-8かShift-JISかを自動判定するようにした。
ID3v2のUTF-16(Unicode)で保存に対応。

ver1.0.2[07/12/07]
フォルダツリーから選択してファイルを読み込む時、特殊文字の入るファイルが失敗する不具合を修正。
マルチディスプレイに対応。
起動時のエラー出力を強化。

ver1.0.1[07/09/24]
選択中のアイテムのみファイル名一括変更を適用できるようにした。
一括変更で失敗するとフォーマットがそのままファイル名になる不具合を修正。
グリッドのフォーカス中にESCを押すと、選択を全て解除できるようにした。
最後にソートしたカラム（フィールド）を、次回のフォルダ読み込みからも適用するようにした。
コンピレーションアルバムの登録時に、タイトルを「曲名/アーティスト名」で登録できるようにした。
項目の削除時にトラック番号が反映されないバグを修正。

ver1.0.0[07/07/22]
TTA(The True Audio)形式に対応。
プラグイン作成メモを同梱。

ver0.9.18[07/07/21]
UTF-8の変換機能及びUnicodeの対応を強化・バグ修正。
UIを若干修正(ポップアップメニューなど)
簡易アートワーク取得機能追加。

ver0.9.17[07/06/23]
ファイル名が64文字以上だとカットされるバグを修正(Unicode128文字まで)
ウインドウのサイズ制限を無くした。
ショートカットキーのカスタマイズ機能追加。

ver0.9.16[07/06/01]
一部の編集に対して、変更フラグが立たずに保存されないバグを修正。
その他ちょこちょこ。

ver0.9.15[07/05/30]
エディタでファイル名のカラムサイズを変更しても他のカラムとフィットしなくなった不具合を修正。
読み込み時にメモリアクセスエラーが出るバグを修正。
ファイル削除機能をUnicode対応化。
タグデータの編集でファイル名などが正しく設定されないバグを修正。
内容を変更したファイルだけ保存を実行する機能を追加。
再生中のファイル名を表示するようにした。
項目の選択で、CtrlかShiftを押した状態でクリックすると、項目編集ではなく選択の挙動をするように変更。
エクスポート機能、文字コード変換機能などがUnicode対応してなかったバグを修正。
CDの再生が正しくされない不具合を修正。

ver0.9.14[07/05/09]
読み込み、保存、その他のバッチ処理の際にプログレスバーを表示するようにした。
ファイル項目を左のフォルダツリーにドラッグドロップするとファイルを移動できるようにした。
Unicode対応。
内部処理改良。
起動スプラッシュを表示するようにした。
項目選択の反転メニュー追加など。

ver0.9.13[07/04/27]
"全て選択(Ctrl+A)"を追加。
ファイルの選択処理、エディタ更新処理、ファイル移動などの高速化。
ファイルの項目の順序移動機能の改良。
文字コードの編集モード機能を追加(ShiftJIS or UTF-8)。
文字コードがUTF-8で文字化けする場合は、オプションでモードを変更することにより正しく表示されるようになります。
また、ファイルを選択して右クリックメニューから「文字コード編集モード変更」で部分的に行うこともできます。

ver0.9.12[07/04/03]
ファイルの一括移動機能を追加。
ファイルの一括削除機能を追加。

ver0.9.11[07/03/15]
サイト移転により、ランキング機能のアクセス先を変更。
タグのトラック番号を二桁表示で保存するか選べるオプションを追加。

ver0.9.10[07/01/26]
ファイルドロップによる未対応形式のファイルの読み込みをスキップするようにした。
その際の不具合を修正。
ファイル名のタイトルへのコピー機能で、部分変更後に実行しても前のファイル名でコピーされる不具合を修正。

ver0.9.9[07/01/22]
トラック番号において、"##/##"形式のトラック表示も正しくソート出来るようにした。
トラッキングバーの改良。位置をクリック一発で飛ぶようにした。
再生ボタンに一時停止機能を追加。
全般モードでビットレートと演奏時間を表示するようにした。
ファイル名の拡張子を省いた部分をタイトルへコピーできるようにした。

ver0.9.8[06/12/23]
文字列を含まないトラック番号のソートで、複数桁も正しくソート出来るようにした。

ver0.9.7[06/11/26]
曲再生のシークバーを追加。
ツリービューを更新できるようにした。
WMA編集で保存の際にメモリアクセスエラーがでるバグを修正。

ver0.9.6[06/11/22]
メモリ開放忘れ修正。
アドレスバー追加。

ver0.9.5[06/07/29]
複数トラックへの一括ペーストに対応(複数行テキストのペースト)
アルバム検索ランキング機能追加(β)
WavPack形式に対応。
細かい修正。

ver0.9.4[06/07/18]
エディタでEnterを押すとビープ音が鳴る不具合を修正。
編集フィールドを移動して、エディタが隠れると自動的にスクロールするようにした。
最大化状態で終了すると、次回起動時にウインドウのその大きさで表示される不具合を修正。
ＣＤ情報収集機能廃止。

ver0.9.3[06/05/13]
エディタでカーソルでの編集セル移動で、自動でスクロールするようにした。
エディタでEnterで下のセルに移動するようにした。
禁止文字が使用されていた時、その旨を伝えるようにした。
タギングライブラリ更新。詳しくは同梱ソース参照。

ver0.9.2[05/12/09]
CDDBからの入力で打ち込むトラックとフィールドを選択出来るようにした。
WAVE形式の対応を追加(復活)
アーティスト情報を見やすくした。

ver0.9.1[05/11/30]
エディタの右クリックメニューが反応しないバグを修正。
エディタモードの変更でキャンセルするとタブだけ動くエラーを修正。
ファイル名を変更しても読み込み用ファイルリストが更新されないバグを修正。
MP3のID3タグでv1,v2両方保存モードで全く書き込まれないバグを修正。
マウスホイールによるエディタの同期処理を変更。
一般エディタモードでジャンル名を選択して入力できるようにした。
CGIモードでのCDDB接続でインターネットオプションによる接続設定を適用するようにした。

ver0.9.0[05/11/23]
ある程度満足したので正式版へ。
全角⇔半角の相互変換を出来るようにした。
M3U形式のプレイリストを入出力できるようにした。
ライブラリのソースコード添付。

ver0.9beta2[05/11/22]
対応形式を結構復帰。
WMA形式で長い歌詞を扱えるようにした。
バグを色々潰した。
MP4タグの書き込みバグを修正。
数値形式データに文字列を入れるとエラーが発生するバグを修正。
内部処理の強化など。

ver0.9beta1[05/11/21]
内部仕様を大きく変更。
プラグインの強化。
形式独自のタグも設定できるようにした(編集モード)。
タグ情報検索が若干速くなった。
エディタで横スクロールしてもファイル名は左に流れないようにした。
編集できない情報は色づけして分別した。
カラムのクリックでソートする機能のバグを修正。
アイコンをXP風にしてみた。
特殊なタグは[...]ボタンで編集可能になった。
CSV出力の強化。
CSVのインポートでタグを入力できるようにした。
Utf-8⇔Unicodeの双方変換が出来るようになった。
MP3とWMAで音質の情報も閲覧できるようにした（他形式も対応予定）
スクリプト機能の廃止。
内部処理の最適化など。
その他。

ver0.821[05/10/09]
freedb登録時に全ての曲名が一曲目になるバグを修正。

ver0.82[05/10/04]
UTF変換時にトラック番号と年情報が抜け落ちるバグを修正。

ver0.81[05/9/17]
ＣＤ情報収集機能追加。

ver0.80[05/9/13]
エディタを自作コントロールに乗り換え。
UTF文字エンコード編集モード追加。
軽量化。
スクリプト改訂。
その他もろもろ。

ver0.75[05/8/29]
WMA形式の書き込みに対応。
フォルダツリーのデフォルト表示をデスクトップに変更。
M4A形式の読み込みエラーを修正。

ver0.74[05/06/12]
スクリプトの不具合を修正。

ver0.73[05/05/14]
m4aタグ編集に対応。
FLACのタグ書き込み仕様の変更・改良。

ver0.72[05/04/27]
ファイル名一括変更のパターンを記憶。
ツリーフォルダビューの更新機能追加。
その他細々と。

ver0.71[05/04/04]
テキスト編集メニューを追加。
ファイル名一括変更のバグ修正。
フォルダからの一括追加に対応。
スクリプトの強化。
スクリプトの関数を少し追加。

ver0.70[05/03/27]
CDレビュー機能を強化。
ライブラリの調整。
flacファイルのバグ修正。
ファイル名一括変換機能の修正。
スクリプト機能を追加。
m3u、csvファイルを出力するスクリプト追加。
トラック番号順にソートするスクリプト追加。

ver0.65[05/03/09]
CDレビュー機能を追加。

ver0.63[05/02/28]
トラック番号と年号の情報が無い時の表示を0から無しにした。
フォルダビュー機能の追加。
変更の保存の確認ダイアログを表示。

ver0.62[05/02/23]
ライブラリの定義を改善。詳しくは解説ページにて。
タグの保存時に、タイムスタンプを保持するか指定できるようにした。
少し動作安定化。

ver0.61[05/02/12]
タグの設定の時に、インデックス参照がおかしくなるバグを除去。

ver0.6[05/02/11]
タグ読み書き機能をライブラリ化。拡張可能に。
タグの対応形式への読み書き安定化。
その他バグもろもろ。

ver0.5[05/02/09]
CDDBP(HTTP)プロトコルに対応。
カラムの配置、ウインドウの位置などの環境設定を強化。
CDDB登録する時の謎のエラーを改善。
その他色々。

ver0.4[05/02/05]
MCIによる曲の試聴に対応。
エディタ面の大幅強化。
内部処理を整理。
処理高速化。

ver0.31[05/01/19]
プロトコルの不具合を少し修正。
切断時に応答待ちのダイアログが表示されるバグを修正。

ver0.3[05/01/12]
MIDAS.dll への静的リンク化。
サーバのレスポンスが遅い時に、更に待つか選択できるようにした。

ver0.2[05/01/05]
グリッドコントロールをデータベース用のグリッドに置き換え。
ジャンルのドロップダウンリストが環境によって表示できないバグを修正。

ver0.1[04/12/04]
とりあえず公開。

